# 32/64bit spec-file
#
%define name		adjustableclock
%define version		4.1.2
%define release		%mkrel 2

Name:			plasmoid-%{name}
Version:		%{version}
Release:		%{release}
Summary:		Plasmoid to show date and time in adjustable format using rich text.
URL:			http://kde-apps.org/content/show.php/Adjustable+Clock?content=92825
Group:			Graphical desktop/KDE4
License:		GPL v2
Source:			%{name}-%{version}.tar.xz
BuildRequires: 		kdelibs-devel >= 4.8
BuildRequires: 		kde-workspace-devel >= 4.8
Requires:		kde-workspace
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
Features:
- fully custom date format (syntax similar to that of strftime C function);
- possibility to use rich text editor or edit source (HTML and CSS) to adjust format;
- fast copy to clipboard of adjustable date and time format after middle mouse click on the clock or activation of keyboard shortcut;
- context menu with actions to copy formatted (adjustable formats) date and time to clipboard;
- adjustable tool tip (hidden option, toolTipFormatMain and toolTipFormatSub keys);
- standard clock calendar.

%prep
%setup -qn adjustableclock-%{version}

%build
%cmake ../ -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std -C build

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_libdir/kde4/plasma_applet_adjustableclock.so
%_datadir/apps/plasma/adjustableclock
%_datadir/kde4/services/plasma-applet-adjustableclock.desktop
%_datadir/locale/*/LC_MESSAGES/plasma_applet_adjustableclock.mo

%changelog
* Thu Dec 19 2013 billybot <billybot> 4.1.2-2pclos2013
- remove post scripts

* Sun Jun 02 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 4.1.2-1pclos2013
- update

* Thu May 30 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 4.1.1-1pclos2013
- update

* Sun Apr 21 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 4.0-1_archie_2013
- update

* Sat Apr 13 2013 Archie Arevalo <pclinuxos.ph at gmail.com> 3.2_archie_2012
- Create package
